
function [L,A]=fattorizzazione_LU(A)

% oggetto:
% fattorizzazione LU senza pivoting della matrice A.
%
% input: 
% A: matrice n x n;
% 
% output:
% L: matrice triangolare inferiore con elementi diag. uguali a 1;
% A: matrice triangolare superiore che e' la U della fattorizzazione A=LU.

n=size(A,1);
L=zeros(n,n);
for k=1:n-1
    L(k,k)=1;
    for i=k+1:n
        L(i,k)=A(i,k)/A(k,k);
        for j=k:n
            A(i,j)=A(i,j)-L(i,k)*A(k,j);
        end
    end
end
L(n,n)=1;
        